For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • GETList Coworking Reservations
Trebellar Platform
LogoLogo
API ResourcesCoworking

List Coworking Reservations

||View as Markdown|
GET
https://api.trebellar.app/api/v2/coworking/reservations
GET
/api/v2/coworking/reservations
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.coworking.listCoworkingReservations({});
8}
9main();
1{
2 "data": [
3 {
4 "id": "string",
5 "startDate": "string",
6 "locationId": "string",
7 "cost": {
8 "amount": 1.1,
9 "currency": "string"
10 },
11 "reservationType": "DayPass",
12 "status": "BOOKED",
13 "spaceType": "MEETING",
14 "endDate": "string",
15 "memberId": "string",
16 "teamId": "string",
17 "teamName": "string",
18 "locationName": "string",
19 "workspaceId": "string",
20 "capacity": 1.1,
21 "durationHours": 1.1,
22 "invitedCount": 1.1,
23 "providerId": "string"
24 }
25 ]
26}
Retrieve a list of coworking space reservations with optional filtering by date range and geographic location. Returns all reservations accessible to the authenticated user that match the specified criteria.
Was this page helpful?
Previous

Add Cost Category

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

startDatestringOptional
endDatestringOptional
latstringOptional
lonstringOptional
radiusstringOptional
rawstringOptional

Response

Coworking reservations retrieved successfully
datalist of objects

Errors

400
Bad Request Error
500
Internal Server Error